| Home | Libraries | People | FAQ | More

## Struct block_ctrl

boost::interprocess::rbtree_best_fit::block_ctrl — Block control structure.

## Synopsis

    // In header: <boost/interprocess/mem_algo/rbtree_best_fit.hpp>

    // Block control structure.

    struct block_ctrl : public boost::interprocess::rbtree_best_fit< MutexFamily, VoidPointer, MemAlignment >::SizeHolder
    {
      // construct/copy/destruct
      block_ctrl();
    };

## Description

### `block_ctrl` public construct/copy/destruct

1.     block_ctrl();